ExecutionEngine (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.cypher.javacompat
Class ExecutionEngine

    java.lang.Object
      org.neo4j.cypher.javacompat.ExecutionEngine

    public class ExecutionEngine

extends Object

To run a `Query`, use this class.

Constructor Summary
`ExecutionEngine(GraphDatabaseService database)` Creates an execution engine around the give graph database

Method Summary
`ExecutionResult` | `execute(org.neo4j.cypher.internal.commands.Query query)` Deprecated.
`ExecutionResult` | `execute(org.neo4j.cypher.internal.commands.Query query, Map<String,Object> params)` Deprecated.
`ExecutionResult` | `execute(String query)` Executes a query and returns an iterable that contains the result set
`ExecutionResult` | `execute(String query, Map<String,Object> params)` Executes a `Query` and returns an iterable that contains the result set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionEngine

    public ExecutionEngine(GraphDatabaseService database)

  Creates an execution engine around the give graph database

  Parameters:
    `database` - The database to wrap

Method Detail

### execute

    @Deprecated
    public ExecutionResult execute(org.neo4j.cypher.internal.commands.Query query)
                            throws org.neo4j.cypher.SyntaxException

  Deprecated.

  You should not parse queries manually and send them in - instead, use the overloaded method that takes a string

  Throws:
    `org.neo4j.cypher.SyntaxException`

### execute

    public ExecutionResult execute(String query)
                            throws org.neo4j.cypher.SyntaxException

  Executes a query and returns an iterable that contains the result set

  Parameters:
    `query` - The query to execute
  Returns:
    A ExecutionResult that contains the result set
  Throws:
    `org.neo4j.cypher.SyntaxException` - If the Query contains errors, a SyntaxException exception might be thrown

### execute

    @Deprecated
    public ExecutionResult execute(org.neo4j.cypher.internal.commands.Query query,
                                              Map<String,Object> params)
                            throws org.neo4j.cypher.SyntaxException

  Deprecated.

  You should not parse queries manually and send them in - instead, use the overloaded method that takes a string

  Throws:
    `org.neo4j.cypher.SyntaxException`

### execute

    public ExecutionResult execute(String query,
                                   Map<String,Object> params)
                            throws org.neo4j.cypher.SyntaxException

  Executes a `Query` and returns an iterable that contains the result set

  Parameters:
    `query` - The query to execute
    `params` - Parameters for the query
  Returns:
    A ExecutionResult that contains the result set
  Throws:
    `org.neo4j.cypher.SyntaxException` - If the Query contains errors, a SyntaxException exception might be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.